Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/roles/{roleId} \ --header 'x-client-key: <api-key>' \ --header 'x-client-secret: <api-key>'
{ "data": [ { "id": "198a9961-c365-46d4-8962-7f9720f21fae", "workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e", "title": "New Role Title", "description": "New Role test description", "isActive": true, "order": 1, "reportTo": "43bc03d0-e0c5-41a1-bc13-2d232a40a728", "editable": true, "homepage": { "mobile": "DEFAULT", "web": "DEFAULT", "dashboard": {} }, "createdBy": "dfea8b8a-5b22-4668-b68d-dc641eb3a101", "updatedBy": "dfea8b8a-5b22-4668-b68d-dc641eb3a101", "createdAt": "2025-06-22T11:38:55.045Z", "updatedAt": "2025-06-22T11:38:55.045Z", "deletedAt": null, "permissions": [], "users": [ { "userId": "a437857a-463f-4ab7-997e-0e7b98e2b779" } ] } ], "meta": {} }
Client API key for authentication
Client secret for authentication
Workspace ID
Role ID
Role details response
Show child attributes